package sgc.portal.ei.ei0106.persistence;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0106.dto.EI01060001USearch;
import sgc.portal.ei.ei0106.model.EI01060001U;

import java.util.List;

@Mapper
public interface EI01060001UMapper {
	
	/*
     * SEARCH LIST
     */
    List<EasyHashMap<String, Object>> getList(EI01060001USearch search);
    
    List<EasyHashMap<String, Object>> pivotList(EI01060001USearch search);
    
    
    /*
     * UPDATE
     */
    int update1(EI01060001U eI01060001U);
    
    int update2(EI01060001U eI01060001U);
    
    int update3(EI01060001U eI01060001U);
    
    int update4(EI01060001U eI01060001U);
    
    int update5(EI01060001U eI01060001U);
    
    int update6(EI01060001U eI01060001U);
    
    int update7(EI01060001U eI01060001U);
    
    int update8(EI01060001U eI01060001U);
}
